Program to generate an xml file based on a provided text file
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

753 lines
23KB

  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. subdir = .
  85. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  86. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  87. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  88. $(ACLOCAL_M4)
  89. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  90. $(am__configure_deps) $(am__DIST_COMMON)
  91. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  92. configure.lineno config.status.lineno
  93. mkinstalldirs = $(install_sh) -d
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. AM_V_P = $(am__v_P_@AM_V@)
  97. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  98. am__v_P_0 = false
  99. am__v_P_1 = :
  100. AM_V_GEN = $(am__v_GEN_@AM_V@)
  101. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  102. am__v_GEN_0 = @echo " GEN " $@;
  103. am__v_GEN_1 =
  104. AM_V_at = $(am__v_at_@AM_V@)
  105. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  106. am__v_at_0 = @
  107. am__v_at_1 =
  108. SOURCES =
  109. DIST_SOURCES =
  110. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  111. ctags-recursive dvi-recursive html-recursive info-recursive \
  112. install-data-recursive install-dvi-recursive \
  113. install-exec-recursive install-html-recursive \
  114. install-info-recursive install-pdf-recursive \
  115. install-ps-recursive install-recursive installcheck-recursive \
  116. installdirs-recursive pdf-recursive ps-recursive \
  117. tags-recursive uninstall-recursive
  118. am__can_run_installinfo = \
  119. case $$AM_UPDATE_INFO_DIR in \
  120. n|no|NO) false;; \
  121. *) (install-info --version) >/dev/null 2>&1;; \
  122. esac
  123. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  124. distclean-recursive maintainer-clean-recursive
  125. am__recursive_targets = \
  126. $(RECURSIVE_TARGETS) \
  127. $(RECURSIVE_CLEAN_TARGETS) \
  128. $(am__extra_recursive_targets)
  129. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  130. cscope distdir dist dist-all distcheck
  131. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  132. # Read a list of newline-separated strings from the standard input,
  133. # and print each of them once, without duplicates. Input order is
  134. # *not* preserved.
  135. am__uniquify_input = $(AWK) '\
  136. BEGIN { nonempty = 0; } \
  137. { items[$$0] = 1; nonempty = 1; } \
  138. END { if (nonempty) { for (i in items) print i; }; } \
  139. '
  140. # Make sure the list of sources is unique. This is necessary because,
  141. # e.g., the same source file might be shared among _SOURCES variables
  142. # for different programs/libraries.
  143. am__define_uniq_tagged_files = \
  144. list='$(am__tagged_files)'; \
  145. unique=`for i in $$list; do \
  146. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  147. done | $(am__uniquify_input)`
  148. ETAGS = etags
  149. CTAGS = ctags
  150. CSCOPE = cscope
  151. DIST_SUBDIRS = $(SUBDIRS)
  152. am__DIST_COMMON = $(srcdir)/Makefile.in AUTHORS ChangeLog NEWS README \
  153. compile depcomp install-sh missing
  154. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  155. distdir = $(PACKAGE)-$(VERSION)
  156. top_distdir = $(distdir)
  157. am__remove_distdir = \
  158. if test -d "$(distdir)"; then \
  159. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  160. && rm -rf "$(distdir)" \
  161. || { sleep 5 && rm -rf "$(distdir)"; }; \
  162. else :; fi
  163. am__post_remove_distdir = $(am__remove_distdir)
  164. am__relativize = \
  165. dir0=`pwd`; \
  166. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  167. sed_rest='s,^[^/]*/*,,'; \
  168. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  169. sed_butlast='s,/*[^/]*$$,,'; \
  170. while test -n "$$dir1"; do \
  171. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  172. if test "$$first" != "."; then \
  173. if test "$$first" = ".."; then \
  174. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  175. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  176. else \
  177. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  178. if test "$$first2" = "$$first"; then \
  179. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  180. else \
  181. dir2="../$$dir2"; \
  182. fi; \
  183. dir0="$$dir0"/"$$first"; \
  184. fi; \
  185. fi; \
  186. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  187. done; \
  188. reldir="$$dir2"
  189. DIST_ARCHIVES = $(distdir).tar.gz
  190. GZIP_ENV = --best
  191. DIST_TARGETS = dist-gzip
  192. distuninstallcheck_listfiles = find . -type f -print
  193. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  194. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  195. distcleancheck_listfiles = find . -type f -print
  196. ACLOCAL = @ACLOCAL@
  197. AMTAR = @AMTAR@
  198. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  199. AUTOCONF = @AUTOCONF@
  200. AUTOHEADER = @AUTOHEADER@
  201. AUTOMAKE = @AUTOMAKE@
  202. AWK = @AWK@
  203. CC = @CC@
  204. CCDEPMODE = @CCDEPMODE@
  205. CFLAGS = @CFLAGS@
  206. CPPFLAGS = @CPPFLAGS@
  207. CYGPATH_W = @CYGPATH_W@
  208. DEFS = @DEFS@
  209. DEPDIR = @DEPDIR@
  210. ECHO_C = @ECHO_C@
  211. ECHO_N = @ECHO_N@
  212. ECHO_T = @ECHO_T@
  213. EXEEXT = @EXEEXT@
  214. INSTALL = @INSTALL@
  215. INSTALL_DATA = @INSTALL_DATA@
  216. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  217. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  218. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  219. LDFLAGS = @LDFLAGS@
  220. LIBOBJS = @LIBOBJS@
  221. LIBS = @LIBS@
  222. LTLIBOBJS = @LTLIBOBJS@
  223. M4 = @M4@
  224. MAKEINFO = @MAKEINFO@
  225. MKDIR_P = @MKDIR_P@
  226. OBJEXT = @OBJEXT@
  227. PACKAGE = @PACKAGE@
  228. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  229. PACKAGE_NAME = @PACKAGE_NAME@
  230. PACKAGE_STRING = @PACKAGE_STRING@
  231. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  232. PACKAGE_URL = @PACKAGE_URL@
  233. PACKAGE_VERSION = @PACKAGE_VERSION@
  234. PATH_SEPARATOR = @PATH_SEPARATOR@
  235. PKG_CONFIG = @PKG_CONFIG@
  236. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  237. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  238. SET_MAKE = @SET_MAKE@
  239. SHELL = @SHELL@
  240. STRIP = @STRIP@
  241. VERSION = @VERSION@
  242. XML2_CONFIG = @XML2_CONFIG@
  243. XML_CPPFLAGS = @XML_CPPFLAGS@
  244. XML_LIBS = @XML_LIBS@
  245. abs_builddir = @abs_builddir@
  246. abs_srcdir = @abs_srcdir@
  247. abs_top_builddir = @abs_top_builddir@
  248. abs_top_srcdir = @abs_top_srcdir@
  249. ac_ct_CC = @ac_ct_CC@
  250. am__include = @am__include@
  251. am__leading_dot = @am__leading_dot@
  252. am__quote = @am__quote@
  253. am__tar = @am__tar@
  254. am__untar = @am__untar@
  255. bindir = @bindir@
  256. build_alias = @build_alias@
  257. builddir = @builddir@
  258. datadir = @datadir@
  259. datarootdir = @datarootdir@
  260. docdir = @docdir@
  261. dvidir = @dvidir@
  262. exec_prefix = @exec_prefix@
  263. host_alias = @host_alias@
  264. htmldir = @htmldir@
  265. includedir = @includedir@
  266. infodir = @infodir@
  267. install_sh = @install_sh@
  268. libdir = @libdir@
  269. libexecdir = @libexecdir@
  270. libxml2_CFLAGS = @libxml2_CFLAGS@
  271. libxml2_LIBS = @libxml2_LIBS@
  272. localedir = @localedir@
  273. localstatedir = @localstatedir@
  274. mandir = @mandir@
  275. mkdir_p = @mkdir_p@
  276. oldincludedir = @oldincludedir@
  277. pdfdir = @pdfdir@
  278. prefix = @prefix@
  279. program_transform_name = @program_transform_name@
  280. psdir = @psdir@
  281. sbindir = @sbindir@
  282. sharedstatedir = @sharedstatedir@
  283. srcdir = @srcdir@
  284. sysconfdir = @sysconfdir@
  285. target_alias = @target_alias@
  286. top_build_prefix = @top_build_prefix@
  287. top_builddir = @top_builddir@
  288. top_srcdir = @top_srcdir@
  289. ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
  290. SUBDIRS = src
  291. all: all-recursive
  292. .SUFFIXES:
  293. am--refresh: Makefile
  294. @:
  295. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  296. @for dep in $?; do \
  297. case '$(am__configure_deps)' in \
  298. *$$dep*) \
  299. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  300. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  301. && exit 0; \
  302. exit 1;; \
  303. esac; \
  304. done; \
  305. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  306. $(am__cd) $(top_srcdir) && \
  307. $(AUTOMAKE) --foreign Makefile
  308. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  309. @case '$?' in \
  310. *config.status*) \
  311. echo ' $(SHELL) ./config.status'; \
  312. $(SHELL) ./config.status;; \
  313. *) \
  314. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  315. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  316. esac;
  317. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  318. $(SHELL) ./config.status --recheck
  319. $(top_srcdir)/configure: $(am__configure_deps)
  320. $(am__cd) $(srcdir) && $(AUTOCONF)
  321. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  322. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  323. $(am__aclocal_m4_deps):
  324. # This directory's subdirectories are mostly independent; you can cd
  325. # into them and run 'make' without going through this Makefile.
  326. # To change the values of 'make' variables: instead of editing Makefiles,
  327. # (1) if the variable is set in 'config.status', edit 'config.status'
  328. # (which will cause the Makefiles to be regenerated when you run 'make');
  329. # (2) otherwise, pass the desired values on the 'make' command line.
  330. $(am__recursive_targets):
  331. @fail=; \
  332. if $(am__make_keepgoing); then \
  333. failcom='fail=yes'; \
  334. else \
  335. failcom='exit 1'; \
  336. fi; \
  337. dot_seen=no; \
  338. target=`echo $@ | sed s/-recursive//`; \
  339. case "$@" in \
  340. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  341. *) list='$(SUBDIRS)' ;; \
  342. esac; \
  343. for subdir in $$list; do \
  344. echo "Making $$target in $$subdir"; \
  345. if test "$$subdir" = "."; then \
  346. dot_seen=yes; \
  347. local_target="$$target-am"; \
  348. else \
  349. local_target="$$target"; \
  350. fi; \
  351. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  352. || eval $$failcom; \
  353. done; \
  354. if test "$$dot_seen" = "no"; then \
  355. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  356. fi; test -z "$$fail"
  357. ID: $(am__tagged_files)
  358. $(am__define_uniq_tagged_files); mkid -fID $$unique
  359. tags: tags-recursive
  360. TAGS: tags
  361. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  362. set x; \
  363. here=`pwd`; \
  364. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  365. include_option=--etags-include; \
  366. empty_fix=.; \
  367. else \
  368. include_option=--include; \
  369. empty_fix=; \
  370. fi; \
  371. list='$(SUBDIRS)'; for subdir in $$list; do \
  372. if test "$$subdir" = .; then :; else \
  373. test ! -f $$subdir/TAGS || \
  374. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  375. fi; \
  376. done; \
  377. $(am__define_uniq_tagged_files); \
  378. shift; \
  379. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  380. test -n "$$unique" || unique=$$empty_fix; \
  381. if test $$# -gt 0; then \
  382. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  383. "$$@" $$unique; \
  384. else \
  385. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  386. $$unique; \
  387. fi; \
  388. fi
  389. ctags: ctags-recursive
  390. CTAGS: ctags
  391. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  392. $(am__define_uniq_tagged_files); \
  393. test -z "$(CTAGS_ARGS)$$unique" \
  394. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  395. $$unique
  396. GTAGS:
  397. here=`$(am__cd) $(top_builddir) && pwd` \
  398. && $(am__cd) $(top_srcdir) \
  399. && gtags -i $(GTAGS_ARGS) "$$here"
  400. cscope: cscope.files
  401. test ! -s cscope.files \
  402. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  403. clean-cscope:
  404. -rm -f cscope.files
  405. cscope.files: clean-cscope cscopelist
  406. cscopelist: cscopelist-recursive
  407. cscopelist-am: $(am__tagged_files)
  408. list='$(am__tagged_files)'; \
  409. case "$(srcdir)" in \
  410. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  411. *) sdir=$(subdir)/$(srcdir) ;; \
  412. esac; \
  413. for i in $$list; do \
  414. if test -f "$$i"; then \
  415. echo "$(subdir)/$$i"; \
  416. else \
  417. echo "$$sdir/$$i"; \
  418. fi; \
  419. done >> $(top_builddir)/cscope.files
  420. distclean-tags:
  421. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  422. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  423. distdir: $(DISTFILES)
  424. $(am__remove_distdir)
  425. test -d "$(distdir)" || mkdir "$(distdir)"
  426. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  427. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  428. list='$(DISTFILES)'; \
  429. dist_files=`for file in $$list; do echo $$file; done | \
  430. sed -e "s|^$$srcdirstrip/||;t" \
  431. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  432. case $$dist_files in \
  433. */*) $(MKDIR_P) `echo "$$dist_files" | \
  434. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  435. sort -u` ;; \
  436. esac; \
  437. for file in $$dist_files; do \
  438. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  439. if test -d $$d/$$file; then \
  440. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  441. if test -d "$(distdir)/$$file"; then \
  442. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  443. fi; \
  444. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  445. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  446. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  447. fi; \
  448. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  449. else \
  450. test -f "$(distdir)/$$file" \
  451. || cp -p $$d/$$file "$(distdir)/$$file" \
  452. || exit 1; \
  453. fi; \
  454. done
  455. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  456. if test "$$subdir" = .; then :; else \
  457. $(am__make_dryrun) \
  458. || test -d "$(distdir)/$$subdir" \
  459. || $(MKDIR_P) "$(distdir)/$$subdir" \
  460. || exit 1; \
  461. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  462. $(am__relativize); \
  463. new_distdir=$$reldir; \
  464. dir1=$$subdir; dir2="$(top_distdir)"; \
  465. $(am__relativize); \
  466. new_top_distdir=$$reldir; \
  467. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  468. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  469. ($(am__cd) $$subdir && \
  470. $(MAKE) $(AM_MAKEFLAGS) \
  471. top_distdir="$$new_top_distdir" \
  472. distdir="$$new_distdir" \
  473. am__remove_distdir=: \
  474. am__skip_length_check=: \
  475. am__skip_mode_fix=: \
  476. distdir) \
  477. || exit 1; \
  478. fi; \
  479. done
  480. -test -n "$(am__skip_mode_fix)" \
  481. || find "$(distdir)" -type d ! -perm -755 \
  482. -exec chmod u+rwx,go+rx {} \; -o \
  483. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  484. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  485. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  486. || chmod -R a+r "$(distdir)"
  487. dist-gzip: distdir
  488. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  489. $(am__post_remove_distdir)
  490. dist-bzip2: distdir
  491. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  492. $(am__post_remove_distdir)
  493. dist-lzip: distdir
  494. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  495. $(am__post_remove_distdir)
  496. dist-xz: distdir
  497. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  498. $(am__post_remove_distdir)
  499. dist-tarZ: distdir
  500. @echo WARNING: "Support for distribution archives compressed with" \
  501. "legacy program 'compress' is deprecated." >&2
  502. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  503. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  504. $(am__post_remove_distdir)
  505. dist-shar: distdir
  506. @echo WARNING: "Support for shar distribution archives is" \
  507. "deprecated." >&2
  508. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  509. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  510. $(am__post_remove_distdir)
  511. dist-zip: distdir
  512. -rm -f $(distdir).zip
  513. zip -rq $(distdir).zip $(distdir)
  514. $(am__post_remove_distdir)
  515. dist dist-all:
  516. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  517. $(am__post_remove_distdir)
  518. # This target untars the dist file and tries a VPATH configuration. Then
  519. # it guarantees that the distribution is self-contained by making another
  520. # tarfile.
  521. distcheck: dist
  522. case '$(DIST_ARCHIVES)' in \
  523. *.tar.gz*) \
  524. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  525. *.tar.bz2*) \
  526. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  527. *.tar.lz*) \
  528. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  529. *.tar.xz*) \
  530. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  531. *.tar.Z*) \
  532. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  533. *.shar.gz*) \
  534. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  535. *.zip*) \
  536. unzip $(distdir).zip ;;\
  537. esac
  538. chmod -R a-w $(distdir)
  539. chmod u+w $(distdir)
  540. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  541. chmod a-w $(distdir)
  542. test -d $(distdir)/_build || exit 0; \
  543. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  544. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  545. && am__cwd=`pwd` \
  546. && $(am__cd) $(distdir)/_build/sub \
  547. && ../../configure \
  548. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  549. $(DISTCHECK_CONFIGURE_FLAGS) \
  550. --srcdir=../.. --prefix="$$dc_install_base" \
  551. && $(MAKE) $(AM_MAKEFLAGS) \
  552. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  553. && $(MAKE) $(AM_MAKEFLAGS) check \
  554. && $(MAKE) $(AM_MAKEFLAGS) install \
  555. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  556. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  557. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  558. distuninstallcheck \
  559. && chmod -R a-w "$$dc_install_base" \
  560. && ({ \
  561. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  562. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  563. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  564. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  565. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  566. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  567. && rm -rf "$$dc_destdir" \
  568. && $(MAKE) $(AM_MAKEFLAGS) dist \
  569. && rm -rf $(DIST_ARCHIVES) \
  570. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  571. && cd "$$am__cwd" \
  572. || exit 1
  573. $(am__post_remove_distdir)
  574. @(echo "$(distdir) archives ready for distribution: "; \
  575. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  576. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  577. distuninstallcheck:
  578. @test -n '$(distuninstallcheck_dir)' || { \
  579. echo 'ERROR: trying to run $@ with an empty' \
  580. '$$(distuninstallcheck_dir)' >&2; \
  581. exit 1; \
  582. }; \
  583. $(am__cd) '$(distuninstallcheck_dir)' || { \
  584. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  585. exit 1; \
  586. }; \
  587. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  588. || { echo "ERROR: files left after uninstall:" ; \
  589. if test -n "$(DESTDIR)"; then \
  590. echo " (check DESTDIR support)"; \
  591. fi ; \
  592. $(distuninstallcheck_listfiles) ; \
  593. exit 1; } >&2
  594. distcleancheck: distclean
  595. @if test '$(srcdir)' = . ; then \
  596. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  597. exit 1 ; \
  598. fi
  599. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  600. || { echo "ERROR: files left in build directory after distclean:" ; \
  601. $(distcleancheck_listfiles) ; \
  602. exit 1; } >&2
  603. check-am: all-am
  604. check: check-recursive
  605. all-am: Makefile
  606. installdirs: installdirs-recursive
  607. installdirs-am:
  608. install: install-recursive
  609. install-exec: install-exec-recursive
  610. install-data: install-data-recursive
  611. uninstall: uninstall-recursive
  612. install-am: all-am
  613. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  614. installcheck: installcheck-recursive
  615. install-strip:
  616. if test -z '$(STRIP)'; then \
  617. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  618. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  619. install; \
  620. else \
  621. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  622. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  623. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  624. fi
  625. mostlyclean-generic:
  626. clean-generic:
  627. distclean-generic:
  628. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  629. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  630. maintainer-clean-generic:
  631. @echo "This command is intended for maintainers to use"
  632. @echo "it deletes files that may require special tools to rebuild."
  633. clean: clean-recursive
  634. clean-am: clean-generic mostlyclean-am
  635. distclean: distclean-recursive
  636. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  637. -rm -f Makefile
  638. distclean-am: clean-am distclean-generic distclean-tags
  639. dvi: dvi-recursive
  640. dvi-am:
  641. html: html-recursive
  642. html-am:
  643. info: info-recursive
  644. info-am:
  645. install-data-am:
  646. install-dvi: install-dvi-recursive
  647. install-dvi-am:
  648. install-exec-am:
  649. install-html: install-html-recursive
  650. install-html-am:
  651. install-info: install-info-recursive
  652. install-info-am:
  653. install-man:
  654. install-pdf: install-pdf-recursive
  655. install-pdf-am:
  656. install-ps: install-ps-recursive
  657. install-ps-am:
  658. installcheck-am:
  659. maintainer-clean: maintainer-clean-recursive
  660. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  661. -rm -rf $(top_srcdir)/autom4te.cache
  662. -rm -f Makefile
  663. maintainer-clean-am: distclean-am maintainer-clean-generic
  664. mostlyclean: mostlyclean-recursive
  665. mostlyclean-am: mostlyclean-generic
  666. pdf: pdf-recursive
  667. pdf-am:
  668. ps: ps-recursive
  669. ps-am:
  670. uninstall-am:
  671. .MAKE: $(am__recursive_targets) install-am install-strip
  672. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  673. am--refresh check check-am clean clean-cscope clean-generic \
  674. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  675. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  676. distcheck distclean distclean-generic distclean-tags \
  677. distcleancheck distdir distuninstallcheck dvi dvi-am html \
  678. html-am info info-am install install-am install-data \
  679. install-data-am install-dvi install-dvi-am install-exec \
  680. install-exec-am install-html install-html-am install-info \
  681. install-info-am install-man install-pdf install-pdf-am \
  682. install-ps install-ps-am install-strip installcheck \
  683. installcheck-am installdirs installdirs-am maintainer-clean \
  684. maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  685. pdf-am ps ps-am tags tags-am uninstall uninstall-am
  686. .PRECIOUS: Makefile
  687. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  688. # Otherwise a system limit (for SysV at least) may be exceeded.
  689. .NOEXPORT: